package com.iden.common.entity;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;

import java.time.LocalDateTime;

import com.baomidou.mybatisplus.annotation.TableField;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 重点人员识别预警统计表(IdenWarningKeynoteSta)å®ä½ç±»
 *
 * @author makejava
 * @since 2021-12-22 20:19:17
 */

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("iden_warning_keynote_sta")
@ApiModel(value = "重点人员识别预警统计表", description = "")
public class IdenWarningKeynoteSta implements Serializable {
    private static final long serialVersionUID = 163592680800091740L;

    @TableId(value = "ID", type = IdType.AUTO)
    private Long id;


    @ApiModelProperty("人群编号")
    @TableField("CROWD_CODE")
    private String crowdCode;


    @ApiModelProperty("人群名称")
    @TableField("CROWD_NAME")
    private String crowdName;


    @ApiModelProperty("出现总数")
    @TableField("DISPLAY_COUNT")
    private Long displayCount;


    @ApiModelProperty("createTime")
    @TableField("CREATE_TIME")
    private Date createTime;


    @ApiModelProperty("modifyTime")
    @TableField("MODIFY_TIME")
    private Date modifyTime;


}
